/*
 * GWTEventService
 * Copyright (c) 2011 and beyond, strawbill UG (haftungsbeschrnkt)
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 3 of
 * the License, or (at your option) any later version.
 * Other licensing for GWTEventService may also be possible on request.
 * Please view the license.txt of the project for more information.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package de.novanic.eventservice.service;

import de.novanic.eventservice.service.registry.user.UserInfo;

/**
 * UserTimeoutListener can be used to recognize the timeouts of registered users.
 * The {@link de.novanic.eventservice.service.UserTimeoutListener#onTimeout(UserInfo)}) method is called when a timeout
 * occurs.
 *
 * @author sstrohschein
 *         <br>Date: 20.01.2009
 *         <br>Time: 00:03:58
 */
public interface UserTimeoutListener
{
    /**
     * The method onTimeout is called when a timeout is recognized for the user.
     * @param aUserInfo the inactive user
     */
    void onTimeout(UserInfo aUserInfo);
}